SuperCollider CLASSES (extension)
Libraries>BBCut

# SQPushFXAmp2

CutMixer amplitude algorithm
Source: /Users/zzk/Library/Application Support/SuperCollider/downloaded-quarks/BBCut/classes/cutsynths/fx/SQPushFX2.sc
Inherits from: Object
Subclasses: CutAmp1
See also: BBCut

## Description

SQPushFXAmp2 is intended to be used in the ampfunc parameter of CutMixer. It randomly drops repeats according to a table of probabilities depending on the current position in the bar. It is apparently inspired by Squarepusher.

The alias CutAmp1 is available for backward compatibility.

## Class Methods

### *new (ampchance: 0.1, amptemplate)

#### Arguments:

ampchance | Controls the overall probability that a given repeat will be dropped.
amptemplate | An array of 16 float values from 0 to 1, each value corresponding to one sixteenth of the bar. The decision to drop a repeat is done by the following process: look up the current time in the table, multiply that probability by ampchance, and then drop the repeat with that probability.

### Inherited class methods

## Instance Methods

### Inherited instance methods

### Undocumented instance methods

### -initSQPushFXAmp2 (ac: 0.1, ampt)

### -updateblock (block)

### -value (repeat, block)

## Examples

    ~buf = BBCutBuffer(Platform.resourceDir +/+ "sounds/break.aiff", 8);

    BBCut2(CutGroup([CutBuf3(~buf, 0.3), CutMixer(0, 1, SQPushFXAmp2(0.5))]), SQPusher1()).play(2.5);

helpfile source: /Users/zzk/Library/Application Support/SuperCollider/downloaded-quarks/BBCut/HelpSource/Classes/SQPushFXAmp2.schelp
link::Classes/SQPushFXAmp2::
sc version: 3.8.0